module.exports = {
  presets: ['module:metro-react-native-babel-preset'],
  plugins: [
    [
      '@babel/plugin-proposal-decorators',
      {
        legacy: true,
      },
    ],
    [
      'module-resolver',
      {
        root: ['./build'],
        alias: {
          '@arch': './build/arch/index',
          '@service': './build/main/service/index',
          '@components': './build/main/components/index',
          '^@configs/(.+)': './build/main/configs/\\1/index',
          '@constant': './build/main/constant/index',
          '^@enum/(.+)': './build/main/constant/enum/\\1',
          '@context': './build/main/context/index',
          '^@entity/(.+)': './build/main/entity/\\1/index',
          '@native-modules': './build/main/native-modules/index',
          '@task': './build/main/service/task/index',
          '@utilities': './build/main/utilities/index',
          '^@vendor/(.+)': './build/main/vendor/\\1/index',
          '@src': './build/index',
          '^@pages/(.+)': './build/pages/\\1/index',
          '^@business-modules/(.+)': './build/business-modules/\\1/index',
        },
      },
    ],
    [
      'react-native-screen-adapter',
      {
        $bgColor: 'white',

        $smallSmallFontSize: 10,
        $smallFontSize: 12,
        $middleSmallFontSize: 14,
        $middleFontSize: 16,
        $fontSize: 18,
        $largeFontSize: 20,
        $largeLargeFontSize: 24,
      },
    ],
  ],
};
