/**
 * Created by MeePwn
 * https://github.com/maybewaityou
 *
 * description:
 *
 */
import React from 'react';
import {
  StyleSheet,
  Button,
  Image,
  ImageStyle,
  Text,
  TextStyle,
  View,
  ViewStyle,
  TouchableOpacity,
} from 'react-native';
import { IImageStyle, ITextStyle, IViewStyle } from 'react-native-screen-adapter';
import Modal from 'react-native-modal';
// import DatePicker from 'react-native-date-picker';

import { Color } from '@constant';

interface IStyle {
  modal: IViewStyle;
  pickerTitleContainer: IViewStyle;
  pickerButton: IViewStyle;
  cancel: ITextStyle;
  confirm: ITextStyle;
  pickerContainer: IViewStyle;
}

export default (props: any) => {
  return (
    <Modal isVisible={true} style={styles.modal}>
      <View style={styles.pickerTitleContainer}>
        <TouchableOpacity activeOpacity={0.8} style={styles.pickerButton}>
          <Text style={styles.cancel}>取消</Text>
        </TouchableOpacity>
        <TouchableOpacity activeOpacity={0.8} style={styles.pickerButton}>
          <Text style={styles.confirm}>确定</Text>
        </TouchableOpacity>
      </View>
      <View style={styles.pickerContainer}>
        {/* <DatePicker
          date={props.date}
          mode={props.type || 'datetime'}
          locale="zh-Hans"
          onDateChange={props.onDateChange}
        /> */}
      </View>
    </Modal>
  );
};

const styles = StyleSheet.create<IStyle>({
  modal: {
    justifyContent: 'flex-end',
    margin: 0,
  },
  pickerTitleContainer: {
    flexDirection: 'row',
    justifyContent: 'space-between',
    alignItems: 'center',
    backgroundColor: '#F9FAFB',
  },
  pickerButton: {
    paddingVertical: 16,
    paddingHorizontal: 20,
  },
  cancel: {
    color: '#666F83',
    $fontSize: '$fontSize',
    fontFamily: 'PingFangSC-Medium',
  },
  confirm: {
    color: '#5C82F8',
    $fontSize: '$fontSize',
    fontFamily: 'PingFangSC-Medium',
  },
  pickerContainer: {
    justifyContent: 'center',
    alignItems: 'center',
    backgroundColor: Color.white,
  },
});
