/**
 * Created by MeePwn
 * https://github.com/maybewaityou
 *
 * description:
 *
 */
import React from 'react';
import {
  StyleSheet,
  Button,
  Image,
  ImageStyle,
  Text,
  TextStyle,
  View,
  ViewStyle,
  ActivityIndicator,
} from 'react-native';
import { IImageStyle, ITextStyle, IViewStyle } from 'react-native-screen-adapter';

import { Color } from '@constant';

interface IStyle {
  footerContainer: IViewStyle;
  footerTitle: ITextStyle;
}

export default (props: any) => {
  if (props.hasMore) {
    return (
      <View style={styles.footerContainer}>
        <ActivityIndicator color={Color.red} />
        <Text style={styles.footerTitle}>正在加载...</Text>
      </View>
    );
  }
  return (
    <View style={styles.footerContainer}>
      <Text style={styles.footerTitle}>{props.title}</Text>
    </View>
  );
};

const styles = StyleSheet.create<IStyle>({
  footerContainer: {
    flexDirection: 'row',
    alignItems: 'center',
    justifyContent: 'center',
    height$: 44,
  },
  footerTitle: {
    color: Color.lightMoreFontColor,
    $fontSize: '$smallFontSize',
    fontFamily: 'PingFangSC-Regular',
    marginLeft: 5.6,
  },
});
