/**
 * Created by MeePwn
 * https://github.com/maybewaityou
 *
 * description:
 *
 */
import React from 'react';
import { StyleSheet, TouchableOpacity, Image, ImageStyle, Text, TextStyle, View, ViewStyle } from 'react-native';
import { IImageStyle, ITextStyle, IViewStyle } from 'react-native-screen-adapter';

import { Color } from '@constant';

interface IStyle {
  container: IViewStyle;
  image: IImageStyle;
  text: ITextStyle;
}

export default (props: any) => (
  <TouchableOpacity activeOpacity={0.8} style={[styles.container, props.style]} onPress={props.onPress}>
    <Image source={props.source} resizeMode="contain" style={[styles.image, props.imageStyle]} />
    <Text style={[styles.text, props.titleStyle]}>{props.title}</Text>
  </TouchableOpacity>
);

const styles = StyleSheet.create<IStyle>({
  container: {
    alignItems: 'center',
  },
  image: {
    width$: 40,
    height$: 40,
  },
  text: {
    marginTop: 3,
    color: Color.fontColor,
    $fontSize: '$smallSmallFontSize',
  },
});
