/**
 * Created by MeePwn
 * https://github.com/maybewaityou
 *
 * description:
 *
 */

export interface ITextInputProps {
  autoCapitalize?: 'none' | 'sentences' | 'words' | 'characters';
  autoCorrect?: boolean;
  autoFocus?: boolean;
  blurOnSubmit?: boolean;
  caretHidden?: boolean;
  editable?: boolean;
  keyboardType?:
    | 'default'
    | 'numeric'
    | 'email-address'
    | 'ascii-capable'
    | 'numbers-and-punctuation'
    | 'url'
    | 'number-pad'
    | 'phone-pad'
    | 'name-phone-pad'
    | 'decimal-pad'
    | 'twitter'
    | 'web-search';
  maxLength?: number;
  multiline?: boolean;
  placeholder?: string;
  placeholderTextColor?: any;
  defaultValue?: string;
  value?: string;
  secureTextEntry?: boolean;
  selectTextOnFocus?: boolean;
  selection?: any;
  selectionColor?: any;
  style?: any;
  onBlur?: any;
  onChange?: any;
  onChangeText?: any;
  onEndEditing?: any;
  onFocus?: any;
  onLayout?: any;
  onScroll?: any;
  onSelectionChange?: any;
  onSubmitEditing?: any;

  /* iOS */
  returnKeyType?:
    | 'done'
    | 'go'
    | 'next'
    | 'search'
    | 'send'
    | 'none'
    | 'previous'
    | 'default'
    | 'emergency-call'
    | 'google'
    | 'join'
    | 'route'
    | 'yahoo';
  clearButtonMode?: 'never' | 'while-editing' | 'unless-editing' | 'always';
  clearTextOnFocus?: boolean;
  enablesReturnKeyAutomatically?: boolean;
  dataDetectorTypes?: 'phoneNumber' | 'link' | 'address' | 'calendarEvent' | 'none' | 'all';
  keyboardAppearance?: 'default' | 'light' | 'dark';
  onKeyPress?: any;
  selectionState?: any;
  spellCheck?: boolean;

  /* android */
  disableFullscreenUI?: boolean;
  inlineImageLeft?: string;
  inlineImagePadding?: number;
  returnKeyLabel?: string;
  textBreakStrategy?: 'simple' | 'highQuality' | 'balanced';
  numberOfLines?: number;
  underlineColorAndroid?: string;
}

export interface ITextInputState {}
