/**
 * Created by MeePwn
 * https://github.com/maybewaityou
 *
 * description:
 *
 */
import { StyleSheet } from 'react-native';
import { IImageStyle, ITextStyle, IViewStyle } from 'react-native-screen-adapter';

import { Color } from './Color';

interface ITabBarStyle {
  container: IViewStyle;
  image: IImageStyle;
  imageSelected: IImageStyle;
  label: ITextStyle;
  labelSelected: ITextStyle;
}

const tabBarStyle = StyleSheet.create<ITabBarStyle>({
  container: {
    borderTopColor: Color.lineColor,
    backgroundColor: Color.transparent,
  },
  image: {
    width$: 28,
    height$: 28,
  },
  imageSelected: {
    width$: 28,
    height$: 28,
  },
  label: {
    color: Color.darkFontColor,
    textAlign: 'center',
    $fontSize: '$smallSmallFontSize',
  },
  labelSelected: {
    color: Color.darkFontColor,
    textAlign: 'center',
    $fontSize: '$smallSmallFontSize',
  },
});

export const Style = {
  tabBar: tabBarStyle,
};
