/**
 * Created by MeePwn
 * https://github.com/maybewaityou
 *
 * description:
 *
 */
import AsyncStorage from '@react-native-community/async-storage';
import { injectable } from 'inversify';

@injectable()
export class DBService {
  public save<T>(key: string, params: T): void {
    AsyncStorage.setItem(key, JSON.stringify(params));
  }

  public async get<ReturnType = any>(key: string): Promise<ReturnType> {
    const resultString = await AsyncStorage.getItem(key);
    return Promise.resolve(JSON.parse(resultString) as ReturnType);
  }
}
