/**
 * Created by MeePwn
 * https://github.com/maybewaityou
 *
 * description:
 *
 */

const DATE_FORMAT = 'yyyy-MM-dd';

export class DateUtility {
  public static formatDate(date: Date, fmt = DATE_FORMAT) {
    const o: any = {
      'M+': date.getMonth() + 1, // 月份
      'd+': date.getDate(), // 日
      'h+': date.getHours(), // 小时
      'm+': date.getMinutes(), // 分
      's+': date.getSeconds(), // 秒
      'q+': Math.floor((date.getMonth() + 3) / 3), // 季度
      S: date.getMilliseconds(), // 毫秒
    };
    if (/(y+)/.test(fmt)) {
      fmt = fmt.replace(RegExp.$1, (date.getFullYear() + '').substr(4 - RegExp.$1.length));
    }
    for (const k in o) {
      if (new RegExp('(' + k + ')').test(fmt)) {
        fmt = fmt.replace(RegExp.$1, RegExp.$1.length === 1 ? o[k] : ('00' + o[k]).substr(('' + o[k]).length));
      }
    }
    return fmt;
  }

  public static yesterday(fmt = DATE_FORMAT) {
    const date = new Date();
    date.setDate(date.getDate() - 1); // 设置天数 -1 天
    return this.formatDate(date, fmt);
  }

  public static today(fmt = DATE_FORMAT) {
    const date = new Date();
    return this.formatDate(date, fmt);
  }

  public static tomorrow(fmt = DATE_FORMAT) {
    const date = new Date();
    date.setDate(date.getDate() + 1); // 设置天数 -1 天
    return this.formatDate(date, fmt);
  }
}
