/**
 * Created by MeePwn
 * https://github.com/maybewaityou
 *
 * description:
 *
 */
import cloneDeep from 'lodash/cloneDeep';

export const clone = cloneDeep;

export function arrange(params: any) {
  return params.flat();
}

export async function to<T, E = Error> (
  promise: Promise<T>,
  errorExt?: object
): Promise<[E | null, T | undefined]> {
  return promise
    .then<[null, T]>((data: T) => [null, data])
    .catch<[E, undefined]>((err: E) => {
      if (errorExt) {
        Object.assign(err, errorExt);
      }

      return [err, undefined];
    });
}

