/**
 * Created by MeePwn
 * https://github.com/maybewaityou
 *
 * description:
 *
 */
import { IRepository } from 'react-bloc';
import { injectable, inject } from 'inversify';

import { StrategyProcessor } from '@arch';
import { DATA_SOURCE_TYPES } from '../../ioc/types';
import IHomeDataSource from './IHomeDataSource';
import { IHomeLocalDataSource } from '../source/local/HomeLocalDataSource';
import { IHomeRemoteDataSource } from '../source/remote/HomeRemoteDataSource';

@injectable()
export default class HomeRepository implements IRepository, IHomeDataSource {
  @inject(DATA_SOURCE_TYPES.HomeRemoteDataSource)
  private remoteDataSource: IHomeRemoteDataSource;
  @inject(DATA_SOURCE_TYPES.HomeLocalDataSource)
  private localDataSource: IHomeLocalDataSource;
}
