/**
 * Created by MeePwn
 * https://github.com/maybewaityou
 *
 * description:
 *
 */
import { container } from '@arch';

import { BLOC_TYPES, USE_CASE_TYPES, REPOSITORY_TYPES, DATA_SOURCE_TYPES } from './types';
import HomeBloc from '../HomeBloc';
import IHomeUseCase from '../interactor/IHomeUseCase';
import HomeUseCase from '../interactor/HomeUseCase';
import HomeRepository from '../data/source/HomeRepository';
import IHomeDataSource from '../data/source/IHomeDataSource';
import { HomeRemoteDataSource, IHomeRemoteDataSource } from '../data/source/remote/HomeRemoteDataSource';
import { HomeLocalDataSource, IHomeLocalDataSource } from '../data/source/local/HomeLocalDataSource';

container.bind<IHomeRemoteDataSource>(DATA_SOURCE_TYPES.HomeRemoteDataSource).to(HomeRemoteDataSource);
container.bind<IHomeLocalDataSource>(DATA_SOURCE_TYPES.HomeLocalDataSource).to(HomeLocalDataSource);
container.bind<IHomeDataSource>(REPOSITORY_TYPES.HomeRepository).to(HomeRepository);
container.bind<IHomeUseCase>(USE_CASE_TYPES.HomeUseCase).to(HomeUseCase);
container.bind<HomeBloc>(BLOC_TYPES.HomeBloc).to(HomeBloc);
