/**
 * Created by MeePwn
 * https://github.com/maybewaityou
 *
 * description:
 *
 */
import { container } from '@arch';

import { BLOC_TYPES, USE_CASE_TYPES, REPOSITORY_TYPES, DATA_SOURCE_TYPES } from './types';
import InformationBloc from '../InformationBloc';
import IInformationUseCase from '../interactor/IInformationUseCase';
import InformationUseCase from '../interactor/InformationUseCase';
import InformationRepository from '../data/source/InformationRepository';
import IInformationDataSource from '../data/source/IInformationDataSource';
import { InformationRemoteDataSource, IInformationRemoteDataSource } from '../data/source/remote/InformationRemoteDataSource';
import { InformationLocalDataSource, IInformationLocalDataSource } from '../data/source/local/InformationLocalDataSource';

container.bind<IInformationRemoteDataSource>(DATA_SOURCE_TYPES.InformationRemoteDataSource).to(InformationRemoteDataSource);
container.bind<IInformationLocalDataSource>(DATA_SOURCE_TYPES.InformationLocalDataSource).to(InformationLocalDataSource);
container.bind<IInformationDataSource>(REPOSITORY_TYPES.InformationRepository).to(InformationRepository);
container.bind<IInformationUseCase>(USE_CASE_TYPES.InformationUseCase).to(InformationUseCase);
container.bind<InformationBloc>(BLOC_TYPES.InformationBloc).to(InformationBloc);
