/**
 * Created by MeePwn
 * https://github.com/maybewaityou
 *
 * description:
 *
 */
import { container } from '@arch';

import { BLOC_TYPES, USE_CASE_TYPES, REPOSITORY_TYPES, DATA_SOURCE_TYPES } from './types';
import MeBloc from '../MeBloc';
import IMeUseCase from '../interactor/IMeUseCase';
import MeUseCase from '../interactor/MeUseCase';
import MeRepository from '../data/source/MeRepository';
import IMeDataSource from '../data/source/IMeDataSource';
import { MeRemoteDataSource, IMeRemoteDataSource } from '../data/source/remote/MeRemoteDataSource';
import { MeLocalDataSource, IMeLocalDataSource } from '../data/source/local/MeLocalDataSource';

container.bind<IMeRemoteDataSource>(DATA_SOURCE_TYPES.MeRemoteDataSource).to(MeRemoteDataSource);
container.bind<IMeLocalDataSource>(DATA_SOURCE_TYPES.MeLocalDataSource).to(MeLocalDataSource);
container.bind<IMeDataSource>(REPOSITORY_TYPES.MeRepository).to(MeRepository);
container.bind<IMeUseCase>(USE_CASE_TYPES.MeUseCase).to(MeUseCase);
container.bind<MeBloc>(BLOC_TYPES.MeBloc).to(MeBloc);
