/**
 * Created by MeePwn
 * https://github.com/maybewaityou
 *
 * description:
 *
 */
import { IRepository } from 'react-bloc';
import { injectable, inject } from 'inversify';

import { StrategyProcessor } from '@arch';
import { DATA_SOURCE_TYPES } from '../../ioc/types';
import IMessageDataSource from './IMessageDataSource';
import { IMessageLocalDataSource } from '../source/local/MessageLocalDataSource';
import { IMessageRemoteDataSource } from '../source/remote/MessageRemoteDataSource';

@injectable()
export default class MessageRepository implements IRepository, IMessageDataSource {
  @inject(DATA_SOURCE_TYPES.MessageRemoteDataSource)
  private remoteDataSource: IMessageRemoteDataSource;
  @inject(DATA_SOURCE_TYPES.MessageLocalDataSource)
  private localDataSource: IMessageLocalDataSource;
}
