/**
 * Created by MeePwn
 * https://github.com/maybewaityou
 *
 * description:
 *
 */
import { container } from '@arch';

import { BLOC_TYPES, USE_CASE_TYPES, REPOSITORY_TYPES, DATA_SOURCE_TYPES } from './types';
import MessageBloc from '../MessageBloc';
import IMessageUseCase from '../interactor/IMessageUseCase';
import MessageUseCase from '../interactor/MessageUseCase';
import MessageRepository from '../data/source/MessageRepository';
import IMessageDataSource from '../data/source/IMessageDataSource';
import { MessageRemoteDataSource, IMessageRemoteDataSource } from '../data/source/remote/MessageRemoteDataSource';
import { MessageLocalDataSource, IMessageLocalDataSource } from '../data/source/local/MessageLocalDataSource';

container.bind<IMessageRemoteDataSource>(DATA_SOURCE_TYPES.MessageRemoteDataSource).to(MessageRemoteDataSource);
container.bind<IMessageLocalDataSource>(DATA_SOURCE_TYPES.MessageLocalDataSource).to(MessageLocalDataSource);
container.bind<IMessageDataSource>(REPOSITORY_TYPES.MessageRepository).to(MessageRepository);
container.bind<IMessageUseCase>(USE_CASE_TYPES.MessageUseCase).to(MessageUseCase);
container.bind<MessageBloc>(BLOC_TYPES.MessageBloc).to(MessageBloc);
