/**
 * Created by MeePwn
 * https://github.com/maybewaityou
 *
 * description:
 *
 */
import { container } from '@arch';

import { BLOC_TYPES, USE_CASE_TYPES, REPOSITORY_TYPES, DATA_SOURCE_TYPES } from './types';
import ModalBloc from '../ModalBloc';
import IModalUseCase from '../interactor/IModalUseCase';
import ModalUseCase from '../interactor/ModalUseCase';
import ModalRepository from '../data/source/ModalRepository';
import IModalDataSource from '../data/source/IModalDataSource';
import { ModalRemoteDataSource, IModalRemoteDataSource } from '../data/source/remote/ModalRemoteDataSource';
import { ModalLocalDataSource, IModalLocalDataSource } from '../data/source/local/ModalLocalDataSource';

container.bind<IModalRemoteDataSource>(DATA_SOURCE_TYPES.ModalRemoteDataSource).to(ModalRemoteDataSource);
container.bind<IModalLocalDataSource>(DATA_SOURCE_TYPES.ModalLocalDataSource).to(ModalLocalDataSource);
container.bind<IModalDataSource>(REPOSITORY_TYPES.ModalRepository).to(ModalRepository);
container.bind<IModalUseCase>(USE_CASE_TYPES.ModalUseCase).to(ModalUseCase);
container.bind<ModalBloc>(BLOC_TYPES.ModalBloc).to(ModalBloc);
