/**
 * Created by MeePwn
 * https://github.com/maybewaityou
 *
 * description:
 *
 */
import React from 'react';
import { StyleSheet, Button, Image, ImageStyle, Text, TextStyle, View, ViewStyle } from 'react-native';
import { IImageStyle, ITextStyle, IViewStyle } from 'react-native-screen-adapter';
import { BlocProvider, IBloc, StreamBuilder, ISnapshot } from 'react-bloc';
import { map, combineLatest } from 'rxjs/operators';

import { Color, Images } from '@constant';
import { container } from '@arch';
import { arrange } from '@utilities';
import { ModalBloc, BLOC_TYPES } from '../bloc/index';

interface IStyle {
  container: IViewStyle;
  text: ITextStyle;
}

export default () => {
  const _bloc = container.get<IBloc>(BLOC_TYPES.ModalBloc);
  return <BlocProvider bloc={_bloc} child={_viewBuilder} />;
};

function _viewBuilder() {
  return (
    <View style={styles.container}>
      <Text style={styles.text}>Modal</Text>
    </View>
  );
}

const styles = StyleSheet.create<IStyle>({
  container: {
    flex: 1,
    justifyContent: 'center',
    alignItems: 'center',
  },
  text: {
    $fontSize: '$fontSize',
  },
});
